Skip to main content
POST
/
v1
/
maintenance
/
issues
/
{id}
Update a maintenance issue
curl --request POST \
  --url https://api.yorlet.com/v1/maintenance/issues/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "issue_sub_category": "<string>",
  "priority": 2,
  "photos": [
    "<string>"
  ],
  "customer_presence_requested": true,
  "is_communal": true,
  "assignee": "<string>",
  "unit": "<string>",
  "application": "<string>"
}
'
{
  "id": "<string>",
  "created": 123,
  "object": "maintenance.issue",
  "name": "<string>",
  "description": "<string>",
  "issue_sub_category": "<string>",
  "priority": 2,
  "photos": [
    "<string>"
  ],
  "customer_presence_requested": true,
  "is_communal": true,
  "customer_request": true,
  "resolved": true,
  "resolved_at": 123,
  "triage_enabled": true,
  "triage_portal_completion_session": "<string>",
  "triage_resolved": true,
  "availability_every_day": true,
  "availability_days": [
    3
  ],
  "availability_time_slots": {},
  "assignee": "<string>",
  "unit": "<string>",
  "application": "<string>",
  "account": "<string>",
  "deleted": false
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Body

application/json
name
string

The name of the maintenance issue.

Minimum string length: 1
description
string

A description of the maintenance issue.

issue_category
enum<string>

The high-level category of the issue.

Available options:
heating_system,
air_conditioning,
appliance,
electricity,
exterior,
housing,
housekeeping,
locksmith,
pest_control,
painting,
plumbing,
other
issue_sub_category
string

A more specific sub-category for the issue.

status
enum<string>

The status of the maintenance issue.

Available options:
open,
in_progress,
resolved
priority
number

The priority of the issue, where higher numbers indicate higher priority.

Required range: 0 <= x <= 4
type
enum<string>

The type of the maintenance issue.

Available options:
customer_request,
internal,
planned
photos
string[]
customer_presence_requested
boolean

Whether the customer's presence is requested during the maintenance visit.

is_communal
boolean

Whether the issue is in a communal area.

assignee
string

The ID of the user to assign the issue to.

unit
string

The ID of the unit the issue is associated with.

application
string

The ID of the application the issue is associated with.

availability
object

The availability of the customer for the maintenance visit.

triage
object

Triage configuration for the maintenance issue.

Response

200 - application/json

Returns the maintenance issue object if the update succeeded.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
maintenance.issue
name
string | null
required

The name of the maintenance issue.

description
string | null
required

A description of the maintenance issue.

issue_category
enum<string> | null
required

The high-level category of the issue.

Available options:
heating_system,
air_conditioning,
appliance,
electricity,
exterior,
housing,
housekeeping,
locksmith,
pest_control,
painting,
plumbing,
other,
null
issue_sub_category
string | null
required

A more specific sub-category for the issue.

status
enum<string>
required

The status of the maintenance issue.

Available options:
open,
in_progress,
resolved
priority
number
required

The priority of the issue, where higher numbers indicate higher priority.

Required range: 0 <= x <= 4
type
enum<string>
required

The type of the maintenance issue.

Available options:
customer_request,
internal,
planned
photos
string[]
required

IDs of files used as photos for the issue.

customer_presence_requested
boolean
required

Whether the customer's presence is requested during the maintenance visit.

is_communal
boolean
required

Whether the issue is in a communal area.

customer_request
boolean
required

Whether the issue was raised by a customer.

resolved
boolean
required

Whether the issue has been resolved.

resolved_at
integer | null
required

The time at which the issue was resolved.

triage_enabled
boolean
required

Whether triage is enabled for the issue.

triage_portal_completion_session
string | null
required

The session used to complete triage in the portal.

triage_resolved
boolean | null
required

Whether the triage step has been resolved.

availability_every_day
boolean | null
required

Whether the customer is available every day.

availability_days
number[] | null
required

Days of the week the customer is available, where 0 is Sunday and 6 is Saturday.

Required range: 0 <= x <= 6
availability_time_slots
object
required

Time slots, keyed by day of week, when the customer is available.

assignee
required

The user the issue is assigned to.

unit
required

The unit the issue is associated with.

application
required

The application the issue is associated with.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.